# Build an application

Now that you have hopefully digested the _Go Fundamentals_ section you have a solid grounding of a majority of Go's language features and how to do TDD.

This next section will involve building an application.

Each chapter will iterate on the previous one, expanding the application's functionality as our product owner dictates.

New concepts will be introduced to help facilitate writing great code but most of the new material will be learning what can be accomplished from Go's standard library.

By the end of this, you should have a strong grasp as to how to iteratively write an application in Go, backed by tests.

- [HTTP server](http-server.md) - We will create an application which listens to HTTP requests and responds to them.
- [JSON, routing and embedding](json.md) - We will make our endpoints return JSON and explore how to do routing.
- [IO and sorting](io.md) - We will persist and read our data from disk and we'll cover sorting data.
- [Command line & project structure](command-line.md) - Support multiple applications from one code base and read input from command line.
- [Time](time.md) - using the `time` package to schedule activities.
- [WebSockets](websockets.md) - learn how to write and test a server that uses WebSockets.
